Feature: Restaurant Prepare Order
    As a restaurant worker 
    I want to be able to mark an order as “prepared” 
    so that a courier would know to come pick it up.

    Scenario: Restaurant Mark Order as Prepared (confirmation with courier)
        Given that customer, restaurant, order and its courier are initialised
        And the restaurant logins
        And the restaurant access his dashboard and click the manage button for this order
        When he clicks the mark as prepared button
        Then he should have a confirmation for preparing

    Scenario: Restaurant Mark Order as Prepared (error without courier)
        Given that customer, restaurant and order are initialised
        And the restaurant logins
        When the restaurant access his dashboard and click the accept button for this order
        Then the restaurant enter a preparation duration estimation in minute
        When he clicks the submit button
        Then he should be redirected to dashboard and have a confirmation for accepting
        And the restaurant access his dashboard and click the manage button for this order
        When he clicks the mark as prepared button
        Then he should have an error message because courier is missing