defmodule Volt.Repo.Migrations.CreateItems do
  use Ecto.Migration

  def change do
    create table(:items) do
      add :name, :string
      add :description, :string
      add :unit_price, :string
      add :orderable, :boolean
      add :discount, :integer
      add :restaurant_id, references(:restaurants)

      timestamps()
    end
  end
end
