defmodule Volt.SalesFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Volt.Sales` context.
  """

  @doc """
  Generate a item.
  """
  def item_fixture(attrs \\ %{}) do
    {:ok, item} =
      attrs
      |> Enum.into(%{
        description: "some description",
        name: "some name",
        unit_price: "10.00"
      })
      |> Volt.Sales.create_item()

    item
  end
end
