Feature: Restaurant Cancel Order
    As a restaurant worker 
    I want to be able to reject the customer's order 
    So that if we can not fulfill the order we can just not do it.

    Scenario: Restaurant Cancel Order (with confirmation)
        Given that customer, restaurant and order are initialised
        And the restaurant logins
        When the restaurant access his dashboard and click the cancel button for this order
        Then the restaurant enter a message
        When he clicks the submit button
        Then he should be redirected to dashboard and have a confirmation for cancelling
        
    Scenario: Restaurant Cancel Order (rejection when no message)
        Given that customer, restaurant and order are initialised
        And the restaurant logins
        When the restaurant access his dashboard and click the cancel button for this order
        When he clicks the submit button
        Then he should have an error message because message is needed
