Feature: Restaurant Connection
  As a restaurant worker
  I want to be able to self-register my restaurant
  so that I can start getting my food ordered by customers that use Volt.


  Scenario: Restaurant registration (with confirmation)
    And I open restaurant registration page
    And I enter the restaurant information
    When I submit the form
    Then I should be redirected to the restaurant dashboard
  
  Scenario: Restaurant registration (with rejection)
    And I open restaurant registration page
    And I enter the restaurant information with error
    When I submit the form
    Then I should be redirected to the restaurant dashboard
  
  Scenario: Restaurant login (with confirmation)
    Given that restaurant is initialised
    And the restaurant logins
    Then he should be redirected to dashboard with confirmation
  
  Scenario: Restaurant login (with rejection)
    Given that restaurant is initialised
    And the restaurant logins with error
    Then he should see an error for login

  Scenario: Restaurant logout
    Given that restaurant is initialised
    And the restaurant logins
    When he clicks the logout button
    Then he should see a logout confirmation
