defmodule Volt.Repo.Migrations.CreateRestaurants do
  use Ecto.Migration

  def change do
    create table(:restaurants) do
      add :email, :string
      add :password, :string
      add :first_name, :string
      add :last_name, :string
      add :phone_number, :string
      add :name, :string
      add :address, :string
      add :price_level, :integer
      add :opening_time, :time
      add :closing_time, :time

      timestamps()
    end
  end
end
